Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.remote.colo
Class ServerApplicationModuleImpl

`java.lang.Object
oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
oracle.jbo.server.remote.colo.ServerApplicationModuleImpl`

All Implemented Interfaces:
  ApplicationModuleRemoteAdapter, AppModuleRequestHandler, java.util.EventListener, JboExceptionHandler, TransactionStateListener, ViewClearCacheListener, WSApplicationModuleMarshaller

public class ServerApplicationModuleImpl
extends AbstractRemoteApplicationModuleImpl
implements AppModuleRequestHandler

Field Summary

Fields inherited from class oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
`PROCESS_STATUS_ERROR_FOUND, PROCESS_STATUS_OK`

Fields inherited from interface oracle.jbo.common.ws.WSApplicationModuleMarshaller
`ACTIVATION_AFTER_LOSS_OF_AFFINITY, ACTIVATION_AFTER_RESTART, ACTIVATION_NONE, SYNC_INT_BATCH, SYNC_INT_BATCH_DO_WORK`

Constructor Summary
`protected` | `ServerApplicationModuleImpl()`
`` | `ServerApplicationModuleImpl(ServerApplicationModuleImpl parent, ApplicationModuleImpl am)`

Method Summary
`AppModuleRequestHandler` | `createServant(ResponseValues amRef)`
`protected static ServerApplicationModuleImpl` | `createServerApplicationModule(ServerApplicationModuleImpl parent, ApplicationModuleImpl am)`
`ServiceMessage` | `doMessage(ServiceMessage piggyback)`
`protected static java.lang.String` | `getDefaultServerClassName()`
`protected static java.lang.String` | `getPlatform()`
`protected static java.lang.Class` | `getServerClass(java.lang.String defName)`
`protected void` | `initAM(ServerApplicationModuleImpl parent, ApplicationModuleImpl am)`
`boolean` | `isLocal()`
`protected void` | `postConnect()`
`protected void` | `postDisconnect()`
`protected void` | `preConnect()`
`protected void` | `preDisconnect()`
`protected void` | `processException(java.lang.Exception ex)`
`AppModuleRequestHandler` | `riCreateApplicationModule(java.lang.String name, java.lang.String appModDefName)`
`AppModuleRequestHandler` | `riFindApplicationModule(java.lang.String name)`
`ResponseValues` | `riFindLocalApplicationModule(java.lang.String name)`
`ResponseValues` | `riGetApplicationModuleInfo()`
`java.lang.String` | `riGetClientProxyClassName()`
`void` | `riRemove()`
`ServiceMessage` | `sendServiceMessage(ServiceMessage svcMsgIn)`
`ServiceMessage` | `sendWorkingSetRequests(java.lang.String reqName, WSApplicationModuleImpl wsAM, ServiceMessage msg)`

Methods inherited from class oracle.jbo.server.remote.AbstractRemoteApplicationModuleImpl
`addException, addMethodReturnValueToMessage, addResponse, afterActivation, bindToWorkingSet, cacheCleared, clearServiceMessage, createApplicationModule, createLocalApplicationModule, createObjectMarshaller, createPiggybackManager, createRootApplicationModule, createSession, createWorkerApplicationModule, detach, disconnectWithRetainState, dispatchMethod, doneCommit, doneRollback, findApplicationModule, findObject, finishedProcessingPiggyback, finishServiceMessage, finishSyncWorkingSet, getAdaptee, getApplicationModuleDefName, getApplicationModuleInfo, getAppModuleNamesFromResponse, getAppModuleRequestHandler, getClientProxyInterfaceName, getCurrentWorkingSet, getMarshaller, getObjectMarshaller, getOutboundServiceMessage, getPiggyback, getRemoteObjectId, getRequestName, getResponseName, getSvcMsgManager, handleException, handleWarning, hasPendingDataPosts, invokeMethod, marshal, marshalForActivate, pooledSync, processMessage, processPiggyback, processServiceMessage, processSvcMsgRequest, reconnectWithoutForce, releaseAdaptee, remove, setAdaptee, setApplicationModuleDefName, setBoundToWorkingSet, setDataModelRefresh, setMarshaller, setSvcMsgManager, sync, syncMarshaller, syncWorkingSet, txnCreated, txnRemoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerApplicationModuleImpl

    protected ServerApplicationModuleImpl()

### ServerApplicationModuleImpl

    public ServerApplicationModuleImpl(ServerApplicationModuleImpl parent,
                                       ApplicationModuleImpl am)

Method Detail

### getPlatform

    protected static final java.lang.String getPlatform()

### getDefaultServerClassName

    protected static java.lang.String getDefaultServerClassName()

### getServerClass

    protected static java.lang.Class getServerClass(java.lang.String defName)
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createServerApplicationModule

    protected static ServerApplicationModuleImpl createServerApplicationModule(ServerApplicationModuleImpl parent,
                                                                               ApplicationModuleImpl am)

### initAM

    protected void initAM(ServerApplicationModuleImpl parent,
                          ApplicationModuleImpl am)

### isLocal

    public boolean isLocal()

  Specified by:
    `isLocal` in interface `AppModuleRequestHandler`

### riGetClientProxyClassName

    public java.lang.String riGetClientProxyClassName()

### riCreateApplicationModule

    public AppModuleRequestHandler riCreateApplicationModule(java.lang.String name,
                                                             java.lang.String appModDefName)
                                                      throws ExceptionMarshaller

  Throws:
    `ExceptionMarshaller`

### riGetApplicationModuleInfo

    public ResponseValues riGetApplicationModuleInfo()
                                              throws ExceptionMarshaller

  Specified by:
    `riGetApplicationModuleInfo` in interface `AppModuleRequestHandler`
  Throws:
    `ExceptionMarshaller`

### riFindApplicationModule

    public AppModuleRequestHandler riFindApplicationModule(java.lang.String name)
                                                    throws ExceptionMarshaller

  Throws:
    `ExceptionMarshaller`

### sendServiceMessage

    public ServiceMessage sendServiceMessage(ServiceMessage svcMsgIn)

### doMessage

    public ServiceMessage doMessage(ServiceMessage piggyback)
                             throws ExceptionMarshaller

  Specified by:
    `doMessage` in interface `AppModuleRequestHandler`
  Throws:
    `ExceptionMarshaller`

### sendWorkingSetRequests

    public ServiceMessage sendWorkingSetRequests(java.lang.String reqName,
                                                 WSApplicationModuleImpl wsAM,
                                                 ServiceMessage msg)

  Specified by:
    `sendWorkingSetRequests` in interface `WSApplicationModuleMarshaller`
  Overrides:
    `sendWorkingSetRequests` in class `AbstractRemoteApplicationModuleImpl`

### riRemove

    public void riRemove()

  Specified by:
    `riRemove` in interface `AppModuleRequestHandler`

### processException

    protected void processException(java.lang.Exception ex)
                             throws ExceptionMarshaller

  Throws:
    `ExceptionMarshaller`

### preConnect

    protected void preConnect()

### preDisconnect

    protected void preDisconnect()

### postConnect

    protected void postConnect()

### postDisconnect

    protected void postDisconnect()

### riFindLocalApplicationModule

    public ResponseValues riFindLocalApplicationModule(java.lang.String name)
                                                throws ExceptionMarshaller

  Throws:
    `ExceptionMarshaller`

### createServant

    public AppModuleRequestHandler createServant(ResponseValues amRef)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.